package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum PlateTextureEnum {


    POSITIVEPATTERN(0, "正纹"),
    ROTATABLE(1, "可翻转"),
    REVERSEPATTERN(2, "反纹");

    private final Integer texture;
    private String description;

    public boolean equals(Integer status) {
        return this.texture.equals(status) ;
    }

    public boolean equals(PlateTextureEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.texture .equals(this.getTexture()) ;
    }


}
